summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBent Bisballe Nyeng <deva@aasimon.org>2014-07-13 18:14:08 +0200
committerBent Bisballe Nyeng <deva@aasimon.org>2014-07-13 18:14:08 +0200
commit68e1d8b68f5260ba6dc2d3f950ced434a4a9b55c (patch)
tree69c03555d4ee454692e52c9591619da9854890c3
parent8892aa67fb923b3e97b26f92ae32770c59e510e5 (diff)
Add some info and a check for the hugin submodule.
-rw-r--r--README15
-rwxr-xr-xautogen.sh13
2 files changed, 26 insertions, 2 deletions
diff --git a/README b/README
index 17f1dd1..f73cf72 100644
--- a/README
+++ b/README
@@ -3,8 +3,21 @@ Installation Instructions
Compiling and installing the LV2 plugin
=======================================
+If you extracted the code from a tar-ball skip to the "Configuring" section.
+
+Preparing code from git
+-----------------------
+If you cloned the repository from git, make sure to run the following commands
+in order to obtain the hugin debug code:
+ git submodule init
+ git submodule update
+
+After that you need to run ./autogen.sh
+
+Configuring
+-----------
Run ./configure --enable-lv2 --prefix=/usr
-Then run 'make && make install' and the plugion should be installed in
+Then run 'make && make install' and the plugin should be installed in
/usr/lib/lv2/drumgizmo.lv2
If you want to compile only the LV2 parts of the plugin use
'--disable-editor --disable-cli' as additional parameters to the configure
diff --git a/autogen.sh b/autogen.sh
index 6a3f901..c027031 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,16 @@
#!/bin/sh -e
+# Check if hugin has been obtained:
+if [ ! -d hugin ]
+then
+ echo "You are missing the hugin submodule."
+ echo "Run"
+ echo " git submodule init"
+ echo " git submodule update"
+ echo "to obtain it."
+ exit 1
+fi
+
# Check for the existence of cppunit.m4. If missing emulate it.
mkdir -p actest
cat << EOF > actest/configure.ac
@@ -7,7 +18,7 @@ AC_INIT([actest], [1.0.0])
AM_PATH_CPPUNIT(1.9.6)
EOF
[ -f acinclude.m4 ] && rm acinclude.m4
-autoreconf -W error actest 2>/dev/null || echo "AC_DEFUN([AM_PATH_CPPUNIT],[])" > acinclude.m4
+autoreconf -W error actest 2>/dev/null || echo "AC_DEFUN([AM_PATH_CPPUNIT],[echo 'cppunit hack'])" > acinclude.m4
rm -Rf actest
# Now run autoreconf